# ``DoxyLibrary``

A library that provides the **Doxy** service builder to the `DoxyApp` executable target.

## Overview

The library, in a nutshell, provides a public ``AppBuilder`` builder that creates a fully functional [Hummingbird](https://hummingbird.codes) 
application that is ready-to-use by the `DoxyApp` executable target. Furthermore, this application can be configured
with the ``AppArguments`` parameters the executable receives as inputs.

In addition, all the business logic required by the ``ArchiveController`` controller that provides the list of available 
`DocC` archives at an specific location in the local file system, and the ``DocCMiddleware`` middleware that proxies the 
contents of requested documentation archives in the local machine have been implemented in this target, including all its 
relevant protocols and types. 

Plus, the test cases for every type found in this target have been written in the `DoxyTests` unit tests target using the 
 new [Swift Testing](https://developer.apple.com/xcode/swift-testing/) testing framework.

## Topics

### Builders 🔓

- ``AppBuilder``
- ``AppArguments``

### Controllers 🔐

- ``ArchiveController``

### Middlewares 🔐

- ``DocCMiddleware``
- ``PathProvider``
- ``AssetPrefix``
- ``IndexPrefix``
- ``StaticFile``
- ``Pathable``

### Models 🔐

- ``ArchiveList``

### Services 🔐

- ``FileService``
- ``FileServicing``
- ``FileServiceError``
