import Testing

@testable import DoxyLibrary

@Suite("AssetPrefix", .tags(.enumeration))
struct AssetPrefixTests {
    
    // MARK: Properties tests

    @Test(arguments: zip(AssetPrefix.allCases, [String].paths))
    func path(
        for prefix: AssetPrefix,
        expects pathExpected: String
    ) async throws {
        // GIVEN
        // WHEN
        let path = prefix.path
        
        // THEN
        #expect(path == pathExpected)
    }

}

// MARK: - Collection+Strings

private extension Collection where Element == String {
    
    // MARK: Properties
    
    static var paths: [Element] {[
        "/css/",
        "/data/",
        "/downloads/",
        "/images/",
        "/img/",
        "/index/",
        "/js/",
        "/videos/"
    ]}
    
}
